# Retrieve the status of messages in a queue

Lists messages for a specific queue and status, including links for paging and message details.

Endpoint: GET /api/status/queues/{queueName}/{status}
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `queueName` (string, required)
    The name of the queue, for example, `default`.

  - `status` (string, required)
    The status of messages to retrieve, for example, `in`, `wip`, `complete`, and `deadletter`.

## Query parameters:

  - `skip` (integer)
    The number of records to skip before retrieving results, for example, `0`.

  - `take` (integer)
    The number of records to retrieve, for example: `25`. The maximum number that can be retrieved is 100.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json:):

  - `messages` (array)
    List of message links in the queue.

  - `messages.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `messages.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `messages.title` (string)
    Gets or sets the title that describes this link.

  - `messages.templated` (boolean)
    Whether the contained URI is a template.

  - `total_messages` (integer)
    Total number of messages in the queue.

  - `returned_messages` (integer)
    Number of messages returned in the current response.

  - `offset` (integer)
    Offset of the returned messages.

## Response 200 fields (application/json):

  - `next` (object)
    Represents a link to a resource.

  - `next.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `next.title` (string)
    Gets or sets the title that describes this link.

  - `next.templated` (boolean)
    Whether the contained URI is a template.

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 404:

  - `404` (unknown)
    Queue not found

